- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Events::CScrollEvent Interface Reference

List of all members.

## Detailed Description

Allows for responding to scroll actions.

Date:
  29/09/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

  1.0.1 Changed to fit new scrolling system

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CScrollEvent.hpp,v 1.4 2007/02/08 21:07:54 paul Exp

Definition at line 33 of file CScrollEvent.hpp.

## Public Types

- enum EScrollDirection {
  e_scrollVertical = 0,
  e_scrollHorizontal
  }
    The direction. More...

## Public Member Functions

- CScrollEvent (const EScrollDirection direction, const CRect &viewPort)
- EScrollDirection getDirection () const
- const CRect & getViewPort () const
- void setDirection (const EScrollDirection direction)
- void setViewPort (const CRect &viewPort)
- virtual ~CScrollEvent ()

## Protected Attributes

- EScrollDirection m_direction
- CRect m_viewPort

## Member Enumeration Documentation

enum Exponent::GUI::Events::CScrollEvent::EScrollDirection

The direction.

The direction of scrolling

Enumerator:

  e_scrollVertical | Vertical scrolling
  e_scrollHorizontal | Horizontal scrolling

Definition at line 49 of file CScrollEvent.hpp.

## Constructor & Destructor Documentation

Exponent::GUI::Events::CScrollEvent::CScrollEvent | ( | const EScrollDirection | direction,
|  | const CRect & | viewPort |
| ) |  |  |

Construction

Parameters:

  | direction | The direction of travel
  | viewPort | The new viewport to display

virtual Exponent::GUI::Events::CScrollEvent::~CScrollEvent | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

EScrollDirection Exponent::GUI::Events::CScrollEvent::getDirection | ( |  | ) | const`[inline]`

Get the direction

Return values:

  | EScrollDirection | The direction of travel

Definition at line 89 of file CScrollEvent.hpp.

References m_direction.

const CRect& Exponent::GUI::Events::CScrollEvent::getViewPort | ( |  | ) | const`[inline]`

Get the viewport

Return values:

  | const | CRect& the viewport area

Definition at line 95 of file CScrollEvent.hpp.

References m_viewPort.

void Exponent::GUI::Events::CScrollEvent::setDirection | ( | const EScrollDirection | direction | ) | `[inline]`

Set the direction

Parameters:

  | direction | The direction of travel

Definition at line 81 of file CScrollEvent.hpp.

References m_direction.

void Exponent::GUI::Events::CScrollEvent::setViewPort | ( | const CRect & | viewPort | ) | `[inline]`

Set the viewport

Parameters:

  | viewPort | The view port area

Definition at line 75 of file CScrollEvent.hpp.

References m_viewPort.

## Member Data Documentation

EScrollDirection Exponent::GUI::Events::CScrollEvent::m_direction`[protected]`

Direction of movement

Definition at line 103 of file CScrollEvent.hpp.

Referenced by getDirection(), and setDirection().

CRect Exponent::GUI::Events::CScrollEvent::m_viewPort`[protected]`

The viewable area

Definition at line 104 of file CScrollEvent.hpp.

Referenced by getViewPort(), and setViewPort().